apiVersion: v1
kind:  ConfigMap
metadata:
  name: semarchy-config
data:
  SEMARCHY_SETUP_TOKEN: mySecretValue
  # -----------------------------------------------------------------------------
  # PostgreSQL
  # Comment this section if you do not use this technology.
  # -----------------------------------------------------------------------------
  # Repository datasource
  XDM_REPOSITORY_DRIVER: org.postgresql.Driver
  XDM_REPOSITORY_URL: jdbc:postgresql://<db-instance-hostname>:<db-instance-port>/<postgresql_database_name>
  XDM_REPOSITORY_USERNAME: semarchy_repository
  XDM_REPOSITORY_PASSWORD: semarchy_repository
  # Repository read-only datasource credentials
  XDM_REPOSITORY_READONLY_USERNAME: semarchy_repository_ro
  XDM_REPOSITORY_READONLY_PASSWORD: semarchy_repository_ro
  
  # -----------------------------------------------------------------------------
  # Microsoft SQL Server
  # Uncomment this section to use this technology.
  # -----------------------------------------------------------------------------
  # # Repository datasource
  # XDM_REPOSITORY_DRIVER=com.microsoft.sqlserver.jdbc.SQLServerDriver
  # XDM_REPOSITORY_URL=jdbc:sqlserver://<db-instance-hostname>:<db-instance-port>;databaseName=<repository_database_name>
  # XDM_REPOSITORY_USERNAME=repository_user
  # XDM_REPOSITORY_PASSWORD=repository_password
  # # Repository read-only datasource credentials
  # XDM_REPOSITORY_READONLY_USERNAME=repository_readonly_user
  # XDM_REPOSITORY_READONLY_PASSWORD=repository_readonly_password

  # -----------------------------------------------------------------------------
  # Oracle
  # Uncomment this section to use this technology.
  # -----------------------------------------------------------------------------
  # # Repository datasource
  # XDM_REPOSITORY_DRIVER=oracle.jdbc.OracleDriver
  # XDM_REPOSITORY_URL=jdbc:oracle:thin:@<db-instance-hostname>:<db-instance-port>:<repository_schema>
  # XDM_REPOSITORY_USERNAME=repository_user
  # XDM_REPOSITORY_PASSWORD=repository_password
  # # Repository read-only datasource credentials
  # XDM_REPOSITORY_READONLY_USERNAME=repository_readonly_user
  # XDM_REPOSITORY_READONLY_PASSWORD=repository_readonly_password
  # # Set the current schema of the readonly user to the repository
  # XDM_REPOSITORY_READONLY_CONNECTIONINITSQL=ALTER SESSION SET CURRENT_SCHEMA = repository_user
  # =============================================================================
